[SOLVED] Wine install failing, or wants to uninstall a lot

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
AvanOsch
Level 1
Level 1
Posts: 20
Joined: Fri Sep 21, 2012 3:47 pm

[SOLVED] Wine install failing, or wants to uninstall a lot

Post by AvanOsch » Tue Nov 28, 2017 2:08 pm

I can't seem to install Wine on my laptop (running LM 18.1):
In the Software Manager is says: "Please use apt-get to install this package" (Button says "Not available")
Running "apt-get install wine" gives me:

Code: Select all

The following packages have unmet dependencies:
 wine : Depends: wine1.6
E: Unable to correct problems, you have held broken packages.
Using "Package Manager - Edit - Fix broken packages" does nothing.
Running the commands:

Code: Select all

apt-get install -f
dpkg --get-selections | grep hold
gives no results either.

Trying to install wine with Package Manager shows "To be removed":
libchamplain-gtk-0.12-0, xserver-xorg-input-all, geany, xserver-xorg-input-synaptics, xserver-xorg, libcogl20, xserver-xorg-video-qxl, xserver-xorg-video-vesa, python-xapian, libclutter-1.0-0, xserver-xorg-video-nouveau, libclutter-gst-3.0-0, printer-driver-splix, xserver-xorg-video-amdgpu, compiz-plugins, python3-icu, xserver-xorg-core, libcogl-path20, onboard, libvisual-0.4-plugins, libreoffice-base, libproxy1-plugin-gsettings, xserver-xorg-video-fbdev, libcogl-pango20, rhythmbox-plugins, dvd+rw-tools, xserver-xorg-input-wacom, gstreamer1.0-clutter, gir1.2-xplayer-1.0, xserver-xorg-input-vmmouse, gir1.2-rb-3.0, protobuf-compiler, libreoffice-ogltrans, libqt5gui5, libchamplain-0.12-0, xserver-xorg-video-intel, gir1.2-webkit-3.0, xplayer-plugins, libqt5webkit5, xserver-xorg-video-vmware, xserver-xorg-input-evdev, xserver-xorg-video-all, xserver-xorg-video-ati, xorg, gufw, libqt5libqgtk2, libqt5opengl5, thermald, xserver-xorg-video-radeon, qwbfsmanager, apt-transport-https, gparted, signon-keyring-extension, libreoffice-gnome, libxplayer0, libreoffice-calc, xplayer, libqt5quick5, signon-ui, libmircommon5, virtualbox-guest-x11, signon-ui-x11, rhythmbox, python-qt4, libclutter-gtk-1.0-0, rhythmbox-plugin-tray-icon, librhythmbox-core9, printer-driver-brlaser, python-protobuf, xviewer-plugins

As I don't want to remove ALL those packages, does anyone know what's going on and how to fix this?

Thanks!
Last edited by Moem on Thu Dec 21, 2017 6:27 am, edited 1 time in total.
Reason: Marked this as [SOLVED] for you; please note that you can do this for your own topics. Thanks!

User avatar
kc1di
Level 13
Level 13
Posts: 4514
Joined: Mon Sep 08, 2008 8:44 pm
Location: Maine USA

Re: Wine install failing, or wants to uninstall a lot

Post by kc1di » Wed Nov 29, 2017 6:42 am

Hi couple things I would try to upgrade to 18.3. Is your system up to date? if not do so now.
You should be able to install

Code: Select all

playonlinux
and then you can install any version of wine into it.
Easy tips : https://sites.google.com/site/easylinuxtipsproject/
Linux Mint Installation Guide: http://linuxmint-installation-guide.rea ... en/latest/
Registered Linux User #462608

AvanOsch
Level 1
Level 1
Posts: 20
Joined: Fri Sep 21, 2012 3:47 pm

Re: Wine install failing, or wants to uninstall a lot

Post by AvanOsch » Wed Nov 29, 2017 1:11 pm

kc1di wrote:Hi couple things I would try to upgrade to 18.3. Is your system up to date? if not do so now.
You should be able to install

Code: Select all

playonlinux
and then you can install any version of wine into it.
My system is up to date. I could try an update to LM 18.3, but that's a bit too much work atm...

I already tried PlayOnLinux and installed Wine from there, but it complains about Wine not being installed...
When trying to install something it complains about Wine having crashed.

User avatar
Flemur
Level 15
Level 15
Posts: 5817
Joined: Mon Aug 20, 2012 9:41 pm
Location: Potemkin Village

Re: Wine install failing, or wants to uninstall a lot

Post by Flemur » Wed Nov 29, 2017 3:51 pm

AvanOsch wrote:Running "apt-get install wine" gives me:

Code: Select all

The following packages have unmet dependencies:
 wine : Depends: wine1.6
E: Unable to correct problems, you have held broken packages.
As I don't want to remove ALL those packages, does anyone know what's going on and how to fix this?
I've seen the "wants to remove a lot of stuff I need" here a few times, and I've gotten something similar to the
"wine : Depends: wine1.6" in the past,
which **I think I fixed** by "sudo apt-get update", and then...

..."completely removing" (="purge") any installed wine programs and start over: this will show the installed ("ii") wine packages:

Code: Select all

dpkg -l "*wine*" | grep ii
The "held broken packages" are probably wine package(s).

You can also find all the installed *wine* packages and "remove completely" with synaptic, and it'll show the broken packages.
Please edit your original post title to include [SOLVED] if/when it is solved!
Your data and OS are backed up....right?
Mint 18.3 Xfce/fluxbox/pulse-less
Xubuntu 17.10/fluxbox/pulse-less

dark
Level 3
Level 3
Posts: 113
Joined: Wed Feb 22, 2017 3:02 pm

Re: Wine install failing, or wants to uninstall a lot

Post by dark » Wed Nov 29, 2017 4:02 pm

Follow the instructions from here to install Wine: https://wiki.winehq.org/Ubuntu
Install staging branch for better chances at getting software or game working.

User avatar
pbear
Level 5
Level 5
Posts: 564
Joined: Wed Jun 21, 2017 12:25 pm
Location: San Francisco

Re: Wine install failing, or wants to uninstall a lot

Post by pbear » Wed Nov 29, 2017 6:14 pm

AvanOsch wrote:My system is up to date.
What counts as "up to date" depends on your settings in Update Manager. Several times when someone has had this issue, it was because they were using a conservative update strategy and hadn't installed Level 4 updates. A check mark in the shield only means you've installed all the updates meeting your Preferences criteria. Whether that's up to date enough for an app you want to install is a separate question.

By the way, what do you want to run in Wine? Have you checked to make sure it's compatible?
Time flies like an arrow. Fruit flies like a banana.
Running Mate 18.3 64 bit (by upgrade from 18.1-2)

AvanOsch
Level 1
Level 1
Posts: 20
Joined: Fri Sep 21, 2012 3:47 pm

Re: Wine install failing, or wants to uninstall a lot

Post by AvanOsch » Mon Dec 04, 2017 9:32 pm

Flemur wrote:I've seen the "wants to remove a lot of stuff I need" here a few times, and I've gotten something similar to the
"wine : Depends: wine1.6" in the past,
which **I think I fixed** by "sudo apt-get update", and then...

..."completely removing" (="purge") any installed wine programs and start over: this will show the installed ("ii") wine packages:
CODE: SELECT ALL
dpkg -l "*wine*" | grep ii

The "held broken packages" are probably wine package(s).

You can also find all the installed *wine* packages and "remove completely" with synaptic, and it'll show the broken packages.
Thanks for the suggestion, but nope...
Nothing installed...
pbear wrote:
AvanOsch wrote:My system is up to date.
What counts as "up to date" depends on your settings in Update Manager. Several times when someone has had this issue, it was because they were using a conservative update strategy and hadn't installed Level 4 updates. A check mark in the shield only means you've installed all the updates meeting your Preferences criteria. Whether that's up to date enough for an app you want to install is a separate question.

By the way, what do you want to run in Wine? Have you checked to make sure it's compatible?
Indeed, I use the level 4 updates.
I want to run AutoCAD (and sometimes some other small programs), and did check if it's compatible.
In fact, it's running properly on my desktop (running LM16)

But the problem is not what I want to do with Wine, but the fact I can't install Wine.

AvanOsch
Level 1
Level 1
Posts: 20
Joined: Fri Sep 21, 2012 3:47 pm

Re: Wine install failing, or wants to uninstall a lot

Post by AvanOsch » Mon Dec 04, 2017 9:37 pm

dark wrote:Follow the instructions from here to install Wine: https://wiki.winehq.org/Ubuntu
Install staging branch for better chances at getting software or game working.
Thanks for the suggestion, but been there, done that.
Gives the exact same problem as the Wine package available from the Mint repo...

User avatar
pbear
Level 5
Level 5
Posts: 564
Joined: Wed Jun 21, 2017 12:25 pm
Location: San Francisco

Re: Wine install failing, or wants to uninstall a lot

Post by pbear » Mon Dec 04, 2017 10:13 pm

AvanOsch wrote:But the problem is not what I want to do with Wine, but the fact I can't install Wine.
Sorry to have bothered you. Won't happen again.
Time flies like an arrow. Fruit flies like a banana.
Running Mate 18.3 64 bit (by upgrade from 18.1-2)

AvanOsch
Level 1
Level 1
Posts: 20
Joined: Fri Sep 21, 2012 3:47 pm

Re: Wine install failing, or wants to uninstall a lot

Post by AvanOsch » Thu Dec 07, 2017 5:28 pm

pbear wrote:Sorry to have bothered you. Won't happen again.
Bother me? Not at all!
I appreciate any and all suggestions, and that people take the time to try and help me out...
Sorry if I "sound" otherwise, but this problem was really getting to me (many hours wasted on this)

AvanOsch
Level 1
Level 1
Posts: 20
Joined: Fri Sep 21, 2012 3:47 pm

Re: Wine install failing, or wants to uninstall a lot

Post by AvanOsch » Thu Dec 21, 2017 4:22 am

kc1di wrote:Hi couple things I would try to upgrade to 18.3.
I had some time to run backups and upgrade to 18.3, which solved the problem!
Thanks for all the help everyone!

User avatar
kc1di
Level 13
Level 13
Posts: 4514
Joined: Mon Sep 08, 2008 8:44 pm
Location: Maine USA

Re: [SOLVED] Wine install failing, or wants to uninstall a lot

Post by kc1di » Thu Dec 21, 2017 8:10 am

Glad it worked for you , Enjoy :)
Easy tips : https://sites.google.com/site/easylinuxtipsproject/
Linux Mint Installation Guide: http://linuxmint-installation-guide.rea ... en/latest/
Registered Linux User #462608

Post Reply

Return to “Software & Applications”